<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("_939c6a45ff74323" . "dbef487ed15753a7" . "c" => base64_decode("c3" . "Rh" . "dG" . "U="), "_6a90de6af30bf7" . "20b668cfb570e60" . "6de" => base64_decode("cHJldl9" . "zdGF0ZQ" . "=="), "_b2f5a10045" . "1164396178c" . "16d2a5c6899" => base64_decode("cHJldl90a" . "XRsZQ=="), "titl" . "e" => base64_decode("dGl0b" . "GU="), "_2e858fb1973337f53ff85c10" . "4fcb38f4" => base64_decode("cHVibGlzaG" . "Vk"), "_4c760fb02a49c55509ba087b84fbda4" . "5" => base64_decode("ZH" . "Jh" . "Zn" . "Q="));
use Claromentis\Core\Event\GenericEvent;


class UpdateDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_b2f5a100451" . "164396178c16" . "d2a5c6899"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["t" . "i" . "t" . "l" . "e"]);
    }
    public function GetPrevState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_6a90de6af30bf720b66" . "8cfb570e606de"]);
    }
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_939c6a45ff74323dbef487ed15753a7" . "c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_939c6a45" . "ff74323db" . "ef487ed15" . "753a7c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_4c760fb02a49c55509ba087b84fbd" . "a45"];
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_2e858fb1973337f53ff85c104fcb3" . "8f4"];
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}